## blazeblogger 1.0.0

=== Makefile ===
# makefile for BlazeBlogger, a CMS without boundaries
# Copyright (C) 2009 Jaromir Hradilek

# This program is  free software:  you can redistribute it and/or modify it
# under  the terms  of the  GNU General Public License  as published by the
# Free Software Foundation, version 3 of the License.
#
# This program  is  distributed  in the hope  that it will  be useful,  but
# WITHOUT  ANY WARRANTY;  without  even the implied  warranty of MERCHANTA-
# BILITY  or  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the  GNU General Public License  along
# with this program. If not, see <http://www.gnu.org/licenses/>.

# General settings; feel free to modify according to your situation:
SHELL   = /bin/sh
INSTALL = /usr/bin/install -c
POD2MAN = /usr/bin/pod2man
SRCS   := $(wildcard src/*.pl)
DOCS   := $(wildcard pod/*.pod)
MAN1   := $(patsubst %.pl, %.1, $(SRCS))
MAN7   := $(patsubst %.pod, %.7, $(DOCS))

# Installation directories; feel free to modify according to your taste and
# current situation:
prefix  = /usr/local
bindir  = $(prefix)/bin
mandir  = $(prefix)/share/man
man1dir = $(mandir)/man1
man7dir = $(mandir)/man7

# Additional information:
VERSION = 1.0.0

# Make rules;  please do not edit these unless you really know what you are
# doing:
.PHONY: all clean install uninstall

all: $(MAN1) $(MAN7)

clean:
	-rm -f $(MAN1) $(MAN7)

install: $(MAN1) $(MAN7)
	@echo "Copying scripts..."
	$(INSTALL) -d $(bindir)
	$(INSTALL) -m 755 src/blaze-add.pl $(bindir)/blaze-add
	$(INSTALL) -m 755 src/blaze-log.pl $(bindir)/blaze-log
	$(INSTALL) -m 755 src/blaze-edit.pl $(bindir)/blaze-edit
	$(INSTALL) -m 755 src/blaze-init.pl $(bindir)/blaze-init
	$(INSTALL) -m 755 src/blaze-list.pl $(bindir)/blaze-list
	$(INSTALL) -m 755 src/blaze-make.pl $(bindir)/blaze-make
	$(INSTALL) -m 755 src/blaze-config.pl $(bindir)/blaze-config
	$(INSTALL) -m 755 src/blaze-remove.pl $(bindir)/blaze-remove
	@echo "Copying utilities..."
	$(INSTALL) -m 755 utils/blaze.sh $(bindir)/blaze
	@echo "Copying man pages..."
	$(INSTALL) -d $(man1dir)
	$(INSTALL) -m 644 src/blaze-add.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-log.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-edit.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-init.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-list.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-make.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-config.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-remove.1 $(man1dir)
	$(INSTALL) -d $(man7dir)
	$(INSTALL) -m 644 pod/blazeintro.7 $(man7dir)
	$(INSTALL) -m 644 pod/blazetheme.7 $(man7dir)
	$(INSTALL) -m 644 pod/blazeblogger.7 $(man7dir)

uninstall:
	@echo "Removing scripts..."
	-rm -f $(bindir)/blaze-add
	-rm -f $(bindir)/blaze-log
	-rm -f $(bindir)/blaze-edit
	-rm -f $(bindir)/blaze-init
	-rm -f $(bindir)/blaze-list
	-rm -f $(bindir)/blaze-make
	-rm -f $(bindir)/blaze-config
	-rm -f $(bindir)/blaze-remove
	@echo "Removing utilities..."
	-rm -f $(bindir)/blaze
	@echo "Removing man pages..."
	-rm -f $(man1dir)/blaze-add.1
	-rm -f $(man1dir)/blaze-log.1
	-rm -f $(man1dir)/blaze-edit.1
	-rm -f $(man1dir)/blaze-init.1
	-rm -f $(man1dir)/blaze-list.1
	-rm -f $(man1dir)/blaze-make.1
	-rm -f $(man1dir)/blaze-config.1
	-rm -f $(man1dir)/blaze-remove.1
	-rm -f $(man7dir)/blazeintro.7
	-rm -f $(man7dir)/blazetheme.7
	-rm -f $(man7dir)/blazeblogger.7
	@echo "Removing empty directories..."
	-rmdir $(bindir) $(man1dir) $(man7dir) $(mandir)

%.1: %.pl
	$(POD2MAN) --section=1 --release="Version $(VERSION)" $^ $@

%.7: %.pod
	$(POD2MAN) --section=7 --release="Version $(VERSION)" $^ $@

=== debian/changelog ===
blazeblogger (1.0.0-2) unstable; urgency=low

  * Add patch debian/patches/perl_path

 -- Angel Abad <angelabad@gmail.com>  Mon, 07 Dec 2009 11:10:27 +0100

blazeblogger (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #553653)

 -- Angel Abad <angelabad@gmail.com>  Thu, 03 Dec 2009 13:09:28 +0100

=== debian/control ===
Source: blazeblogger
Section: web
Priority: optional
Maintainer: Angel Abad <angelabad@gmail.com>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/blazeblogger.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/blazeblogger.git
Homepage: http://blaze.blackened.cz/
DM-Upload-Allowed: yes

Package: blazeblogger
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: simple to use, command line based, content management system 
 Written in Perl as a cross-platform application and producing the
 static content without the need of database servers or server side
 scripting, it is literally a CMS without boundaries suitable for a
 wide variety of web presentations, from personal weblog to a project
 page or even a company presentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/blazeblogger/usr

=== debian/watch ===
version=3

http://code.google.com/p/blazeblogger/downloads/list \
  http://blazeblogger[.]googlecode[.]com/files/blazeblogger-([0-9.]+)[.]tar[.]gz

## blazeblogger 1.2.0

=== Makefile ===
# makefile for BlazeBlogger, a CMS without boundaries
# Copyright (C) 2009-2011 Jaromir Hradilek

# This program is  free software:  you can redistribute it and/or modify it
# under  the terms  of the  GNU General Public License  as published by the
# Free Software Foundation, version 3 of the License.
#
# This program  is  distributed  in the hope  that it will  be useful,  but
# WITHOUT  ANY WARRANTY;  without  even the implied  warranty of MERCHANTA-
# BILITY  or  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the  GNU General Public License  along
# with this program. If not, see <http://www.gnu.org/licenses/>.

# General information:
NAME    = blazeblogger
VERSION = 1.2.0

# General settings:
SHELL   = /bin/sh
INSTALL = /usr/bin/install -c
POD2MAN = /usr/bin/pod2man
MAN1    = src/blaze-add.1 src/blaze-config.1 src/blaze-edit.1 \
          src/blaze-init.1 src/blaze-list.1 src/blaze-log.1 \
          src/blaze-make.1 src/blaze-remove.1
SRCS    = src/blaze-add.pl src/blaze-config.pl src/blaze-edit.pl \
          src/blaze-init.pl src/blaze-list.pl src/blaze-log.pl \
          src/blaze-make.pl src/blaze-remove.pl

# Installation directories:
config  = /etc
prefix  = /usr/local
bindir  = $(prefix)/bin
datadir = $(prefix)/share/$(NAME)
docsdir = $(prefix)/share/doc/$(NAME)-$(VERSION)
man1dir = $(prefix)/share/man/man1
compdir = $(config)/bash_completion.d

# Make rules;  please do not edit these unless you really know what you are
# doing:
.PHONY: all install_bin install_conf install_data install_docs \
        install_man install uninstall clean

all: $(MAN1)

install_bin:
	@echo "Copying executables..."
	$(INSTALL) -d $(bindir)
	$(INSTALL) -m 755 src/blaze-add.pl $(bindir)/blaze-add
	$(INSTALL) -m 755 src/blaze-log.pl $(bindir)/blaze-log
	$(INSTALL) -m 755 src/blaze-edit.pl $(bindir)/blaze-edit
	$(INSTALL) -m 755 src/blaze-init.pl $(bindir)/blaze-init
	$(INSTALL) -m 755 src/blaze-list.pl $(bindir)/blaze-list
	$(INSTALL) -m 755 src/blaze-make.pl $(bindir)/blaze-make
	$(INSTALL) -m 755 src/blaze-config.pl $(bindir)/blaze-config
	$(INSTALL) -m 755 src/blaze-remove.pl $(bindir)/blaze-remove
	$(INSTALL) -m 755 unix/blaze.sh $(bindir)/blaze

install_conf:
	@echo "Copying bash completion..."
	$(INSTALL) -d $(compdir)
	$(INSTALL) -m 644 unix/bash_completion $(compdir)/blazeblogger

install_data:
	@echo "Copying translations..."
	$(INSTALL) -d $(datadir)/lang
	$(INSTALL) -m 644 lang/cs_CZ $(datadir)/lang
	$(INSTALL) -m 644 lang/de_DE $(datadir)/lang
	$(INSTALL) -m 644 lang/en_GB $(datadir)/lang
	$(INSTALL) -m 644 lang/en_US $(datadir)/lang
	$(INSTALL) -m 644 lang/es_ES $(datadir)/lang
	$(INSTALL) -m 644 lang/eu_ES $(datadir)/lang
	$(INSTALL) -m 644 lang/fr_FR $(datadir)/lang
	$(INSTALL) -m 644 lang/ja_JP $(datadir)/lang
	$(INSTALL) -m 644 lang/pt_BR $(datadir)/lang
	$(INSTALL) -m 644 lang/ru_RU $(datadir)/lang
	$(INSTALL) -m 644 lang/uk_UK $(datadir)/lang

install_docs:
	@echo "Copying documentation..."
	$(INSTALL) -d $(docsdir)
	$(INSTALL) -m 644 FDL $(docsdir)
	$(INSTALL) -m 644 TODO $(docsdir)
	$(INSTALL) -m 644 README $(docsdir)
	$(INSTALL) -m 644 AUTHORS $(docsdir)
	$(INSTALL) -m 644 COPYING $(docsdir)
	$(INSTALL) -m 644 INSTALL $(docsdir)
	-$(INSTALL) -m 644 ChangeLog $(docsdir)

install_man: $(MAN1)
	@echo "Copying manual pages..."
	$(INSTALL) -d $(man1dir)
	$(INSTALL) -m 644 src/blaze-add.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-log.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-edit.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-init.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-list.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-make.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-config.1 $(man1dir)
	$(INSTALL) -m 644 src/blaze-remove.1 $(man1dir)
	$(INSTALL) -m 644 unix/man/man1/blaze.1 $(man1dir)

install: install_bin install_conf install_data install_docs install_man

uninstall:
	@echo "Removing executables..."
	-rm -f $(bindir)/blaze-add
	-rm -f $(bindir)/blaze-log
	-rm -f $(bindir)/blaze-edit
	-rm -f $(bindir)/blaze-init
	-rm -f $(bindir)/blaze-list
	-rm -f $(bindir)/blaze-make
	-rm -f $(bindir)/blaze-config
	-rm -f $(bindir)/blaze-remove
	-rm -f $(bindir)/blaze
	-rmdir $(bindir)
	@echo "Removing bash completion..."
	-rm -f $(compdir)/blazeblogger
	-rmdir $(compdir)
	@echo "Removing translations..."
	-rm -f $(datadir)/lang/cs_CZ
	-rm -f $(datadir)/lang/de_DE
	-rm -f $(datadir)/lang/en_GB
	-rm -f $(datadir)/lang/en_US
	-rm -f $(datadir)/lang/es_ES
	-rm -f $(datadir)/lang/eu_ES
	-rm -f $(datadir)/lang/fr_FR
	-rm -f $(datadir)/lang/ja_JP
	-rm -f $(datadir)/lang/pt_BR
	-rm -f $(datadir)/lang/ru_RU
	-rm -f $(datadir)/lang/uk_UK
	-rmdir $(datadir)/lang $(datadir)
	@echo "Removing documentation..."
	-rm -f $(docsdir)/FDL
	-rm -f $(docsdir)/TODO
	-rm -f $(docsdir)/README
	-rm -f $(docsdir)/AUTHORS
	-rm -f $(docsdir)/COPYING
	-rm -f $(docsdir)/INSTALL
	-rm -f $(docsdir)/ChangeLog
	-rmdir $(docsdir)
	@echo "Removing manual pages..."
	-rm -f $(man1dir)/blaze-add.1
	-rm -f $(man1dir)/blaze-log.1
	-rm -f $(man1dir)/blaze-edit.1
	-rm -f $(man1dir)/blaze-init.1
	-rm -f $(man1dir)/blaze-list.1
	-rm -f $(man1dir)/blaze-make.1
	-rm -f $(man1dir)/blaze-config.1
	-rm -f $(man1dir)/blaze-remove.1
	-rm -f $(man1dir)/blaze.1
	-rmdir $(man1dir)

clean:
	-rm -f $(MAN1)

%.1: %.pl
	$(POD2MAN) --section=1 --release="Version $(VERSION)" \
	                       --center="BlazeBlogger Documentation" $^ $@

=== debian/changelog ===
blazeblogger (1.2.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces

  [ Angel Abad ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1 (no changes)
  * debian/control: Add Rules-Requires-Root: no
  * debian/patches/fix_bashcompletion_dir:
    Fix bash completion installation dir
  * debian/copyright:
    - Remove unused copyright section
    - Update debian/* years
  * Add debian/upstream/metadata
  * debian/control: Add :any to perl b-d-i
  * debian/watch: Remove file and add lintian override

 -- Angel Abad <angel@debian.org>  Mon, 07 Oct 2019 12:58:29 +0200

blazeblogger (1.2.0-3) unstable; urgency=low

  * Update my email address -> angel@debian.org
  * debian/control: Remove DM-Upload-Allowed
  * debian/watch: Update for code.google.com use
  * debian/copyright:
    - Update format to copyright-format 1.0
    - Fix typo in debian/* section
    - Update debian years
  * Bump Standards-Version to 3.9.3

 -- Angel Abad <angel@debian.org>  Mon, 05 Mar 2012 13:53:23 +0100

blazeblogger (1.2.0-2) unstable; urgency=low

  * debian/manpages: Remove file, install upstream manpage
  * debian/control: Update VCS- fields for anonscm use
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL
  * Bump debhelper compatibility level to 8
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Wed, 31 Aug 2011 14:41:36 +0200

blazeblogger (1.2.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/perl_path: Refresh patch
  * debian/copyright: Update copyright years
  * debian/gbp.conf: Add git-buildpackage configuration

 -- Angel Abad <angelabad@gmail.com>  Sun, 20 Feb 2011 15:09:04 +0100

blazeblogger (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Tue, 09 Nov 2010 23:39:02 +0100

blazeblogger (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Now upstream installs bash_completion file
    - debian/control: Remove bash-completion from B-D-I
    - debian/rules: Remove dh_bash-completion from dh_auto_install
    - debian/bash-completion: Remove file
  * debian/rules: Add config variable to install
  * debian/patches/do_not_install_upstream_docs: Remove install docs
    from upstream Makefile

 -- Angel Abad <angelabad@gmail.com>  Sat, 30 Oct 2010 12:55:30 +0200

blazeblogger (1.1.0-2) unstable; urgency=low

  * debian/docs: Add README file
  * debian/copyright:
    - Update copyright years
    - Update file specification
    - Update license information

 -- Angel Abad <angelabad@gmail.com>  Sun, 03 Oct 2010 13:53:10 +0200

blazeblogger (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #572340)
  * debian/patches/perl_path: Refresh patch
  * Install bash-completion file
  * debian/control: Add bash-completion to Build-Depends-Indep
  * Bump Standards-Version to 3.9.1 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Wed, 29 Sep 2010 00:06:22 +0200

blazeblogger (1.0.0-5) unstable; urgency=low

  * debian/watch: Update for googlecode.debian.net

 -- Angel Abad <angelabad@gmail.com>  Sun, 11 Jul 2010 16:00:51 +0200

blazeblogger (1.0.0-4) unstable; urgency=low

  * debian/watch: Update for the new google code

 -- Angel Abad <angelabad@gmail.com>  Sat, 15 May 2010 20:00:11 +0200

blazeblogger (1.0.0-3) unstable; urgency=low

  * Update debian/copyright
  * Bump Standards-Version to 3.8.4 (no changes)
  * debian/control: Add perl in B-D-I for pod2man

 -- Angel Abad <angelabad@gmail.com>  Fri, 26 Mar 2010 12:54:24 +0100

=== debian/control ===
Source: blazeblogger
Section: web
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: perl:any
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/blazeblogger
Vcs-Git: https://salsa.debian.org/debian/blazeblogger.git
Homepage: http://blaze.blackened.cz/

Package: blazeblogger
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: simple to use, command line based, content management system
 Written in Perl as a cross-platform application and producing the
 static content without the need of database servers or server side
 scripting, it is literally a CMS without boundaries suitable for a
 wide variety of web presentations, from personal weblog to a project
 page or even a company presentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/blazeblogger/usr config=$(CURDIR)/debian/blazeblogger/etc
